Skip to content

create_did

PUT
/statements/v1/create/did/{did_key}
curl --request PUT \
--url https://example.com/statements/v1/create/did/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "email": "john.smith@gmail.com", "issue_vc": "true", "name": "John Smith", "timestamp": "2026-05-05T12:00:00Z" }'
did_key
required
string

DID to register, for example did:key:z...

Media type application/json
object
email
required
string
Example
john.smith@gmail.com
issue_vc

Set to true to create a verifiable credential for the statement.

boolean
nullable
Example
true
name
required
string
Example
John Smith
timestamp

Optional RFC 3339 timestamp to embed in the DID statement.

string
nullable
Example
2026-05-05T12:00:00Z

A DID statement for the provided DID already exists, so no new statement was created.

DID statement was stored and indexed successfully.

Invalid request body.

Media type application/json
object
callstack
object
One of:
object
internal
required
string
error
required
string
Example generated
{
"callstack": {
"internal": "example"
},
"error": "example"
}